commit:     69d830b8a39f884ce2586b4294dbade618e8a772
Author:     Harri Nieminen <moikkis <AT> gmail <DOT> com>
AuthorDate: Wed Feb  8 14:55:34 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Feb  9 21:52:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69d830b8

x11-misc/dsx: EAPI bump 2 -> 6, migrate to python-single-r1

Fixes: https://bugs.gentoo.org/599800

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/3882

 x11-misc/dsx/dsx-0.1-r1.ebuild | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/x11-misc/dsx/dsx-0.1-r1.ebuild b/x11-misc/dsx/dsx-0.1-r1.ebuild
new file mode 100644
index 0000000000..bb4c35bd73
--- /dev/null
+++ b/x11-misc/dsx/dsx-0.1-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="Command line selection of your X desktop environment"
+HOMEPAGE="https://www.gentoo.org/";
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND=""
+RDEPEND="
+       ${PYTHON_DEPS}
+       x11-apps/xinit"
+
+S="${WORKDIR}"
+
+src_prepare() {
+       cp "${FILESDIR}/${P}" "${PN}" || die
+       default
+}
+
+src_install() {
+       python_doscript "${WORKDIR}/${PN}"
+}

Reply via email to